import { MyButtons } from '@/common';
import { Modal } from 'antd';
import { useState } from 'react';
import TeamsIndex from '../teams';

export default function TeamsModal() {
  const [open, setOpen] = useState(false);

  return (
    <>
      <MyButtons.Default
        size="middle"
        onClick={() => setOpen(true)}
        title="应急小组"
      />
      <Modal
        open={open}
        onCancel={() => setOpen(false)}
        footer={null}
        width="80%"
        destroyOnClose
      >
        <TeamsIndex />
      </Modal>
    </>
  );
}
